<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent">

    <LinearLayout
        android:id="@+id/view_top"
        android:layout_width="match_parent"
        android:layout_height="50dp"
        android:background="@android:color/white"
        android:gravity="center"
        android:orientation="horizontal"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent">

        <ImageView
            android:layout_width="20dp"
            android:layout_height="20dp"
            android:layout_marginStart="20dp"
            android:src="@drawable/ic_date_filter" />


        <LinearLayout
            android:id="@+id/view_date_filter_from"
            android:layout_width="0dp"
            android:layout_height="30dp"
            android:layout_marginStart="10dp"
            android:layout_marginEnd="2dp"
            android:layout_weight="1"
            android:background="@drawable/bg_calender"
            android:gravity="center_vertical"
            android:tag="FROM">

            <com.seatel.mobilehall.util.customview.CustomTextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginStart="5dp"
                android:text="From"
                android:textSize="@dimen/small_text_size" />

            <View
                android:layout_width="0.5dp"
                android:layout_height="match_parent"
                android:layout_marginStart="7dp"
                android:layout_marginTop="7dp"
                android:layout_marginBottom="7dp"
                android:background="@color/colorLine" />

            <com.seatel.mobilehall.util.customview.CustomTextView
                android:id="@+id/ctv_filter_from"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginStart="7dp"
                android:layout_marginEnd="5dp"
                android:drawableEnd="@drawable/ic_arrow_down_grey_16dp"
                android:ellipsize="end"
                android:maxLines="1"
                android:text="Sep 10, 2018"
                android:textAlignment="textStart"
                android:textColor="@android:color/black"
                android:textSize="@dimen/small_text_size"
                android:textStyle="bold" />


        </LinearLayout>

        <LinearLayout
            android:id="@+id/view_date_filter_to"
            android:layout_width="0dp"
            android:layout_height="30dp"
            android:layout_marginStart="2dp"
            android:layout_marginEnd="20dp"
            android:layout_weight="1"
            android:background="@drawable/bg_calender"
            android:gravity="center_vertical"
            android:tag="TO">

            <com.seatel.mobilehall.util.customview.CustomTextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginStart="5dp"
                android:text="@string/to_date"
                android:textSize="@dimen/small_text_size" />

            <View
                android:layout_width="0.5dp"
                android:layout_height="match_parent"
                android:layout_marginStart="7dp"
                android:layout_marginTop="7dp"
                android:layout_marginBottom="7dp"
                android:background="@color/colorLine" />

            <com.seatel.mobilehall.util.customview.CustomTextView
                android:id="@+id/ctv_filter_to"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginStart="7dp"
                android:layout_marginEnd="5dp"
                android:drawableEnd="@drawable/ic_arrow_down_grey_16dp"
                android:ellipsize="end"
                android:maxLines="1"
                android:text="Sep 10, 2018"
                android:textAlignment="textStart"
                android:textColor="@android:color/black"
                android:textSize="@dimen/small_text_size"
                android:textStyle="bold" />

        </LinearLayout>
    </LinearLayout>

    <com.seatel.mobilehall.util.customview.CustomTextView
        android:id="@+id/text_login_signup"
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:background="@color/white"
        android:gravity="center"
        android:tag="LOGIN_SIGNUP"
        android:text="Login or Signup"
        android:textSize="25sp"
        android:textStyle="bold"
        android:visibility="gone"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent" />

    <androidx.recyclerview.widget.RecyclerView
        android:id="@+id/recycler_view_sms_billing"
        android:layout_width="match_parent"
        android:layout_height="0dp"
        app:layout_constraintBottom_toTopOf="@+id/layout_bottom_billing"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@+id/view_top" />

    <com.seatel.mobilehall.util.customview.ErrorHandleView
        android:id="@+id/error_view"
        android:layout_width="match_parent"
        android:layout_height="match_parent" />


    <LinearLayout
        android:id="@+id/layout_bottom_billing"
        android:layout_width="match_parent"
        android:layout_height="50dp"
        android:background="@color/colorPrimary"
        android:orientation="horizontal"
        app:layout_constraintBottom_toBottomOf="parent">

        <LinearLayout
            android:layout_width="0dp"
            android:layout_height="wrap_content"
            android:layout_gravity="center"
            android:layout_weight="1">
            <!--text total view-->
            <LinearLayout
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:layout_gravity="center"
                android:layout_weight="1"
                android:gravity="center"
                tools:ignore="NestedWeights">

                <RelativeLayout
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_gravity="center"
                    android:gravity="center">

                    <com.seatel.mobilehall.util.customview.CustomTextView
                        android:id="@+id/txt_title_total_on_call"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_centerHorizontal="true"
                        android:text="Total on-call"
                        android:textColor="@android:color/white"
                        android:textSize="11sp"
                        tools:ignore="SmallSp" />

                    <RelativeLayout
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_below="@+id/txt_title_total_on_call"
                        android:layout_centerHorizontal="true">

                        <com.seatel.mobilehall.util.customview.CustomTextView
                            android:id="@+id/ctv_value_total_on_call_hour"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:text="0"
                            android:textColor="@android:color/white"
                            android:textSize="20dp" />

                        <com.seatel.mobilehall.util.customview.CustomTextView
                            android:id="@+id/hour_on_call"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_alignBaseline="@+id/ctv_value_total_on_call_hour"
                            android:layout_marginStart="2dp"
                            android:layout_toEndOf="@+id/ctv_value_total_on_call_hour"
                            android:text="H"
                            android:textColor="@android:color/white"
                            android:textSize="12dp" />

                        <com.seatel.mobilehall.util.customview.CustomTextView
                            android:id="@+id/ctv_value_total_on_call"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_marginStart="2dp"
                            android:layout_toEndOf="@+id/hour_on_call"
                            android:text="0"
                            android:textColor="@android:color/white"
                            android:textSize="20dp" />

                        <com.seatel.mobilehall.util.customview.CustomTextView
                            android:id="@+id/min_on_call"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_alignBaseline="@+id/ctv_value_total_on_call"
                            android:layout_marginStart="2dp"
                            android:layout_toEndOf="@+id/ctv_value_total_on_call"
                            android:text="@string/min"
                            android:textColor="@android:color/white"
                            android:textSize="12dp" />

                        <com.seatel.mobilehall.util.customview.CustomTextView
                            android:id="@+id/ctv_value_total_on_call_sec"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_marginStart="2dp"
                            android:layout_toEndOf="@+id/min_on_call"
                            android:text="0"
                            android:textColor="@android:color/white"
                            android:textSize="20dp" />

                        <com.seatel.mobilehall.util.customview.CustomTextView
                            android:id="@+id/sec_on_call"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_alignBaseline="@+id/ctv_value_total_on_call_sec"
                            android:layout_marginStart="2dp"
                            android:layout_toEndOf="@+id/ctv_value_total_on_call_sec"
                            android:text="sec"
                            android:textColor="@android:color/white"
                            android:textSize="12dp" />

                    </RelativeLayout>


                </RelativeLayout>

            </LinearLayout>

            <LinearLayout
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:layout_marginEnd="15dp"
                android:layout_weight="1"
                tools:ignore="NestedWeights">

                <LinearLayout
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_gravity="center"
                    android:layout_weight="1"
                    android:gravity="center"
                    tools:ignore="NestedWeights">

                    <RelativeLayout
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_gravity="center"
                        android:gravity="center">

                        <com.seatel.mobilehall.util.customview.CustomTextView
                            android:id="@+id/txt_title_total_on_cost"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_centerHorizontal="true"
                            android:text="@string/total_charged_billing"
                            android:textColor="@android:color/white"
                            android:textSize="11sp"
                            tools:ignore="SmallSp" />

                        <RelativeLayout
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_below="@+id/txt_title_total_on_cost"
                            android:layout_centerHorizontal="true">

                            <com.seatel.mobilehall.util.customview.CustomTextView
                                android:id="@+id/sign_dolla"
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                android:layout_alignBaseline="@+id/ctv_value_total_on_cost"
                                android:layout_marginStart="2dp"
                                android:text="$"
                                android:textColor="@android:color/white"
                                android:textSize="20dp" />

                            <com.seatel.mobilehall.util.customview.CustomTextView
                                android:id="@+id/ctv_value_total_on_cost"
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                android:layout_marginStart="1dp"
                                android:layout_toEndOf="@+id/sign_dolla"
                                android:text="0"
                                android:textColor="@android:color/white"
                                android:textSize="20dp" />
                        </RelativeLayout>

                    </RelativeLayout>

                </LinearLayout>

            </LinearLayout>

        </LinearLayout>

        <View
            android:layout_width="1dp"
            android:layout_height="match_parent"
            android:layout_marginTop="10dp"
            android:layout_marginBottom="10dp"
            android:alpha="0.7"
            android:background="@color/bg_color" />


        <LinearLayout
            android:layout_width="0dp"
            android:layout_height="wrap_content"
            android:layout_gravity="center"
            android:layout_weight="1"
            android:gravity="center">

            <LinearLayout
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:layout_weight="1"
                tools:ignore="NestedWeights">
                <!--text total view-->
                <LinearLayout
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_marginStart="15dp"
                    android:layout_weight="1"
                    tools:ignore="NestedWeights">

                    <LinearLayout
                        android:layout_width="0dp"
                        android:layout_height="wrap_content"
                        android:layout_gravity="center"
                        android:layout_weight="1"
                        android:gravity="center"
                        tools:ignore="NestedWeights">

                        <RelativeLayout
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_gravity="center"
                            android:gravity="center">

                            <com.seatel.mobilehall.util.customview.CustomTextView
                                android:id="@+id/txt_title_total_off_call"
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                android:layout_centerHorizontal="true"
                                android:text="Total off-call"
                                android:textColor="@android:color/white"
                                android:textSize="11sp"
                                tools:ignore="SmallSp" />

                            <RelativeLayout
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                android:layout_below="@+id/txt_title_total_off_call"
                                android:layout_centerHorizontal="true">

                                <com.seatel.mobilehall.util.customview.CustomTextView
                                    android:id="@+id/ctv_value_total_off_call"
                                    android:layout_width="wrap_content"
                                    android:layout_height="wrap_content"
                                    android:text="0"
                                    android:textColor="@android:color/white"
                                    android:textSize="20dp" />

                                <com.seatel.mobilehall.util.customview.CustomTextView
                                    android:id="@+id/min_off_call"
                                    android:layout_width="wrap_content"
                                    android:layout_height="wrap_content"
                                    android:layout_alignBaseline="@+id/ctv_value_total_off_call"
                                    android:layout_marginStart="1dp"
                                    android:layout_toEndOf="@+id/ctv_value_total_off_call"
                                    android:text="@string/min"
                                    android:textColor="@android:color/white"
                                    android:textSize="12dp" />

                            </RelativeLayout>
                        </RelativeLayout>

                    </LinearLayout>

                </LinearLayout>

                <LinearLayout
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_weight="1"
                    tools:ignore="NestedWeights">

                    <LinearLayout
                        android:layout_width="0dp"
                        android:layout_height="wrap_content"
                        android:layout_gravity="center"
                        android:layout_weight="1"
                        android:gravity="center"
                        tools:ignore="NestedWeights">

                        <RelativeLayout
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_gravity="center"

                            android:gravity="center">

                            <com.seatel.mobilehall.util.customview.CustomTextView
                                android:id="@+id/txt_title_total_off_cost"
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                android:layout_centerHorizontal="true"
                                android:text="@string/total_charged_billing"
                                android:textColor="@android:color/white"
                                android:textSize="11sp"
                                tools:ignore="SmallSp" />

                            <RelativeLayout
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                android:layout_below="@+id/txt_title_total_off_cost"
                                android:layout_centerHorizontal="true">


                                <com.seatel.mobilehall.util.customview.CustomTextView
                                    android:id="@+id/text_view_on_call"
                                    android:layout_width="wrap_content"
                                    android:layout_height="wrap_content"
                                    android:text="$"
                                    android:textColor="@android:color/white"
                                    android:textSize="20dp" />

                                <com.seatel.mobilehall.util.customview.CustomTextView
                                    android:id="@+id/ctv_value_total_off_cost"
                                    android:layout_width="wrap_content"
                                    android:layout_height="wrap_content"
                                    android:layout_alignBaseline="@+id/text_view_on_call"
                                    android:layout_marginStart="1dp"
                                    android:layout_toEndOf="@+id/text_view_on_call"
                                    android:text="0"
                                    android:textColor="@android:color/white"
                                    android:textSize="20dp" />
                            </RelativeLayout>

                        </RelativeLayout>

                    </LinearLayout>

                </LinearLayout>

            </LinearLayout>

        </LinearLayout>

    </LinearLayout>
    <!-- <include
         android:id="@+id/layout_bottom_billing"
         layout="@layout/layout_bottom_billing"
         android:layout_width="match_parent"
         android:layout_height="0dp"
         app:layout_constraintBottom_toBottomOf="parent"
         app:layout_constraintEnd_toEndOf="parent"
         app:layout_constraintStart_toStartOf="parent" />-->

</androidx.constraintlayout.widget.ConstraintLayout>